import request from '@/utils/request'

// 查询生产前准备记录报表列表
export function listValidate(query) {
	return request({
		url: '/mes/validate/list',
		method: 'get',
		params: query
	});
}

// 查询生产前准备记录报表详细
export function getValidate(validateId) {
	return request({
		url: '/mes/validate/' + validateId,
		method: 'get'
		});
}

// 新增生产前准备记录报表
export function addValidate(data) {
	return request({
		url: '/mes/validate',
		method: 'post',
		data: data
	});
}

// 修改生产前准备记录报表
export function updateValidate(data) {
	return request({
		url: '/mes/validate',
		method: 'put',
		data: data
	});
}

// 删除生产前准备记录报表
export function delValidate(validateId) {
	return request({
		url: '/mes/validate/' + validateId,
		method: 'delete'
	});
}
